CSFML 3.0.0
Loading...
Searching...
No Matches
Classes | Enumerations | Variables
StencilMode.h File Reference
`#include <CSFML/Graphics/Export.h>`

Go to the source code of this file.

## Classes
struct | sfStencilValue
| Stencil value type (also used as a mask) More...
struct | sfStencilMode
| Stencil modes for drawing. More...

## Enumerations
enum | sfStencilComparison { sfStencilComparisonNever , sfStencilComparisonLess , sfStencilComparisonLessEqual , sfStencilComparisonGreater , sfStencilComparisonGreaterEqual , sfStencilComparisonEqual , sfStencilComparisonNotEqual , sfStencilComparisonAlways }
| Enumeration of the stencil test comparisons that can be performed. More...
enum | sfStencilUpdateOperation { sfStencilUpdateOperationKeep , sfStencilUpdateOperationZero , sfStencilUpdateOperationReplace , sfStencilUpdateOperationIncrement , sfStencilUpdateOperationDecrement , sfStencilUpdateOperationInvert }
| Enumeration of the stencil buffer update operations. More...

## Variables
const sfStencilMode | sfStencilMode_default
| Define the default values for a StencilMode.

## Enumeration Type Documentation

## ◆ sfStencilComparison

enum sfStencilComparison

Enumeration of the stencil test comparisons that can be performed.

The comparisons are mapped directly to their OpenGL equivalents, specified by glStencilFunc().

Enumerator
sfStencilComparisonNever | The stencil test never passes.
sfStencilComparisonLess | The stencil test passes if the new value is less than the value in the stencil buffer.
sfStencilComparisonLessEqual | The stencil test passes if the new value is less than or equal to the value in the stencil buffer.
sfStencilComparisonGreater | The stencil test passes if the new value is greater than the value in the stencil buffer.
sfStencilComparisonGreaterEqual | The stencil test passes if the new value is greater than or equal to the value in the stencil buffer.
sfStencilComparisonEqual | The stencil test passes if the new value is strictly equal to the value in the stencil buffer.
sfStencilComparisonNotEqual | The stencil test passes if the new value is strictly unequal to the value in the stencil buffer.
sfStencilComparisonAlways | The stencil test always passes.

Definition at line 39 of file StencilMode.h.

## ◆ sfStencilUpdateOperation

enum sfStencilUpdateOperation

Enumeration of the stencil buffer update operations.

The update operations are mapped directly to their OpenGL equivalents, specified by glStencilOp().

Enumerator
sfStencilUpdateOperationKeep | If the stencil test passes, the value in the stencil buffer is not modified.
sfStencilUpdateOperationZero | If the stencil test passes, the value in the stencil buffer is set to zero.
sfStencilUpdateOperationReplace | If the stencil test passes, the value in the stencil buffer is set to the new value.
sfStencilUpdateOperationIncrement | If the stencil test passes, the value in the stencil buffer is incremented and if required clamped.
sfStencilUpdateOperationDecrement | If the stencil test passes, the value in the stencil buffer is decremented and if required clamped.
sfStencilUpdateOperationInvert | If the stencil test passes, the value in the stencil buffer is bitwise inverted.

Definition at line 58 of file StencilMode.h.

## Variable Documentation

## ◆ sfStencilMode_default

const sfStencilMode sfStencilMode_default

Define the default values for a StencilMode.

Definition at line 96 of file StencilMode.h.